
QGIS Application - Bug report #20442

QGIS 3.4.1 map tips with images does not work

2018-11-10 07:27 PM - salvatore fiandaca

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:3.4.1 Regression?: No

Operating System: win 10 - osgeo4w nightly Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 28262

Description

I used this html code:

<img src="[%  @project_folder  || '/' ||  "filename"  %]" width = "200">

in QGIS 2.18 it works, in QGIS 3.4.1 it does not work

projects and data:

https://mega.nz/#!tIxG2CoT!W5xz_2VMSF5Y7DWiVLoRXZh5Q4GFdMGn6kluwcTVAzw

History

#1 - 2018-11-10 09:59 PM - Jan Lippmann

in my project it works with 3.4.1

html:

<img width="250px" src="[% "foto_url" %]" />

foto_url is a virtual field with for instance following content "file:///C:/fotos/folder.jpg"

#2 - 2018-11-10 10:32 PM - salvatore fiandaca

- File niente.png added

Jan Lippmann wrote:

in my project it works with 3.4.1

html:

<img width="250px" src="[% "foto_url" %]" />

foto_url is a virtual field with for instance following content "file:///C:/fotos/folder.jpg"

I tried but it still does not work.

I also changed the \ con / but nothing, it does not work.
#3 - 2018-11-10 11:10 PM - Jan Lippmann

try this:

<img src="[%  'file:///' || @project_folder  || '/' ||  "filename"  %]" width = "200">

it works with your project... i have tested

#4 - 2018-11-11 10:14 AM - salvatore fiandaca

- File wow.png added

Jan Lippmann wrote:

try this:

<img src="[%  'file:///' || @project_folder  || '/' ||  "filename"  %]" width = "200">

it works with your project... i have tested

so you need to write 'file: ///' ||

I think it's a bug !!!

thank you!!!

this works:

<img src = "[% 'file: ///' ||" path "%]" width = "200">

<img src = "[% 'file: ///' || @project_folder || '/' ||" filename "%]" width = "200">

#5 - 2018-11-11 03:56 PM - salvatore fiandaca

gis.stackexchange.com

https://gis.stackexchange.com/questions/274500/photo-map-tip-in-qgis-3-on-windows?fbclid=IwAR0auK3HVdvkAgzmIBm9xxNYi0lCDiKy4HKpA6R9uj

74NUaZiQdOdaP1xY

#6 - 2018-11-12 01:31 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to invalid

#7 - 2018-11-12 02:26 PM - salvatore fiandaca

IMHO is not a bug but it is a regression

adding 'file: ///' involves waste of time
#8 - 2018-11-12 03:44 PM - Giovanni Manghi

salvatore fiandaca wrote:

IMHO is not a bug but it is a regression

adding 'file: ///' involves waste of time

is a standard, https://en.wikipedia.org/wiki/File_URI_scheme

Files

scree218.png 84 KB 2018-11-10 salvatore fiandaca

screen341.png 43.4 KB 2018-11-10 salvatore fiandaca

niente.png 114 KB 2018-11-10 salvatore fiandaca

wow.png 128 KB 2018-11-11 salvatore fiandaca
